Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get invoice by ID with line items from local database.
cURL
curl --request GET \ --url https://vinmake-erp.onrender.com/invoices/{invoice_id}
import requests url = "https://vinmake-erp.onrender.com/invoices/{invoice_id}" response = requests.get(url) print(response.text)
const options = {method: 'GET'}; fetch('https://vinmake-erp.onrender.com/invoices/{invoice_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));


{ "id": "<string>", "invoiceNumber": "<string>", "invoiceType": "<string>", "salesOrderId": "<string>", "salesOrderNumber": "<string>", "clientId": "<string>", "clientName": "<string>", "currency": "<string>", "subtotal": 123, "taxRate": 123, "taxAmount": 123, "totalAmount": 123, "paidAmount": 123, "remainingBalance": 123, "issuedDate": "<string>", "dueDate": "<string>", "status": "<string>", "notes": "<string>", "createdAt": "<string>", "lineItems": [ { "id": "<string>", "invoiceId": "<string>", "salesOrderLineItemId": "<string>", "description": "<string>", "qty": 123, "unitPrice": 123, "amount": 123 } ], "misaStatus": "<string>", "approvedBy": "<string>", "approvedAt": "<string>", "misaRefId": "<string>", "misaInvoiceCode": "<string>", "misaInvoiceSeries": "<string>", "misaSignedDate": "<string>", "misaErrorCode": "<string>", "misaErrorMessage": "<string>", "misaRetryCount": 123, "misaLastAttemptAt": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ] }
Successful Response
Show child attributes